@extends('modal_pages.base')

@section('main')

    <div class="container mt-2">
        <div class="col-md-12">
            <div class="alert p-3" style="background-color:white;">
                <div class="d-flex">
                    @if(cn($std_proposal,'teacher_details.university',''))
                        <img class="img-responsive listFlag mt-2" style="border-radius: 2px; padding: 0px;height: 45px; width: 45px;" src="{{ asset('/assets/img/flags/4x3').'/'.strtolower(cn($std_proposal,'teacher_details.university.country.iso_3166_2','')).'.svg' }}" alt="Flag" data-toggle="tooltip" title="" data-placement="top">
                    @endif

                    <div class="alert" style="background-color:white; padding: 3px 7px; margin-bottom: 0px;">
                        <span style="margin: 0px;">{{cn($std_proposal,'teacher_details.first_name','')}} {{cn($std_proposal,'teacher_details.last_name','')}}</span></br>
                        <span style="font-weight: 500;">{{cn($std_proposal,'teacher_details.designation','')}}</span></br>
                        @if($std_proposal->teacher_details->others_department)
                        <span style="font-weight: 500; font-size: 10px;">{{cn($std_proposal,'teacher_details.others_department','')}}</span>
                        @else
                        <span style="font-weight: 500; font-size: 10px;">{{cn($std_proposal,'teacher_details.department_name.name','')}}</span>
                        @endif
                        <span> . </span>
                        @if($std_proposal->teacher_details->university_name)
                            <span style="font-weight: 500; font-size: 10px;">{{cn($std_proposal,'teacher_details.university_name','')}} </span>
                        @else
                            <span style="font-weight: 500; font-size: 10px;">{{cn($std_proposal,'teacher_details.university.name','')}} </span>
                        @endif
                    </div>
                </div>
                </br>


            </div>
        </div>

        <div class="middle" style="background-color:white; border-radius:6px;">
            <!-- <p class="mb-3" style="font-size:14px;">Please select which proposal you want to send</p> -->
            <div class="alert mb-3 propose" style="padding: 0px; margin-bottom: 0px !important;">
                <div style="width:100%;">
                    <div class="mt-2 p-2 ms-2">
                        <div class="custom-control custom-radio custom-control-inline">
                            <div class="form-check mb-0" style="padding-left: 0 !important;">
                                <label class="form-check-label" for="flexRadioDefault1" style="font-size: 13px; font-weight: 600;">{{cn($std_proposal,'proposal.title','')}}</label></br>

                                <div class="pro_title mb-2 mt-3" style="width: 69%;">
                                    <div style="margin-top: -11px; display: block; font-size: 10px;">
                                    <span class="label_badge_radius" style="background-image: linear-gradient(90deg,rgba(46,17,83,.19),#f5f4fd); font-weight: 400 !important; font-size: 10px;">Ref. ({{cn($std_proposal,'proposal.proposal_ref','')}})</span>
                                        <span> • </span>
                                        <span style="font-weight:400;">{{cn($std_proposal,'proposal.methology','')}}</span>
                                        @php
                                            $proposal =\DB::table('proposal')->where(
                                                'id',$std_proposal->proposal_id
                                                )->first();

                                            $department =\DB::table('departments')->where(
                                                'id', $proposal->department
                                            )->first();

                                        @endphp

                                        @if($department)
                                        <span> • </span>
                                        <span style="font-weight:400;">{{$department->name}}</span>
                                        @endif
                                        <span> • </span>
                                        <span style="font-weight:400;">{{cn($std_proposal,'proposal.status','')}}</span>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container mb-2">
        <div class="col-md-12 mt-3" style="background-color:white; border-radius:6px;">
            <div class="row">
                <div class="col-md-5">
                    <div class="p-2 ms-2">
                        <div class="form-icon position-relative ms-1" style="font-size: 12px;">
                            Preferred Start Date : <strong style="font-weight: bolder;">{{date("M", mktime(0, 0, 0, $std_proposal->start_month, 10))}} {{ $std_proposal->start_year}}</strong>
                        </div>
                    </div>
                </div>
                <div class="col-md-6" style="text-align: end; margin-left: 3.5rem;">
                    <div class="p-2">
                        <div class="form-icon position-relative ms-1" style="font-size: 12px;">
                           Application Status :
                           <span class="label_badge_radius" style="background-color: #d8fdd8; color: green; font-weight: bold;">Applied</span>
                        </div>
                    </div>
                </div>
                {{-- <div class="col-md-6">
                    <div class="mb-1">

                        <div class="form-icon position-relative">
                             Start Month :
                        </div>
                    </div>
                </div> --}}
            </div>
        </div>
    </div>


<script>
    $(function(){
        // $('.select2').select2();
        $('#modal_page_footer').hide();
    });
    </script>
@endsection
